Redis::Fast::Sentinel(3pm)

NAME
    Redis::Fast::Sentinel - connect to a Sentinel instance

SYNOPSIS
    my $sentinel = Redis::Fast::Sentinel->new( ... );
    my $service_address = $sentinel->get_service_address('mymaster');
    my @masters = $sentinel->get_masters;

DESCRIPTION
This is a subclass of the Redis::Fast module, specialized into connecting to a Sentinel instance. Inherits from the "Redis::Fast" package;

CONSTRUCTOR

  new
See "new" in Redis::Fast. All parameters are supported, except "sentinels" and "service", which are silently ignored.

METHODS
All the methods of the "Redis::Fast" package are supported, plus the additional following methods:

  get_service_address
Takes the name of a service as parameter, and returns either void (empty list) if the master couldn't be found, the string 'IDONTKNOW' if the service is in the sentinel config but cannot be reached, or the string "$ip:$port" if the service were found.

  get_masters
Returns a list of HashRefs representing all the master redis instances that this sentinel monitors.